VMTKIMAGEOTSUTHRESHOLDS(1)

NAME
vmtkimageotsuthresholds - vmtk script vmtkimageotsuthresholds

DESCRIPTION
Automatic piping vmtkimageotsuthresholds Parsing options vmtkimageotsuthresholds

vmtkimageotsuthresholds : automatically label an image using multiple

    Otsu thresholding

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-bins NumberOfHistogramBins (int,1) >= 0; default=128: the number

    of bins to use for generating the image histogram

-thresholds NumberOfThresholds (int,1) >= 0; default=1: the number

    of intensity thresholds to generate for generating the labeled image

-othresholdid OutputThresholdId (int,1) >= 0; default=0: the id of

    the threshold to send in output

-offset LabelOffset (int,1) >= 0; default=0: the lowest label value

    to use while generating the labeled image

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image

-othresholds Thresholds (vtkFloatArray,1): the computed thresholds

-othreshold Threshold (float,1); default=None: the nth computed

    threshold, with n set to OutputThresholdId